//New Index
import Head from "next/head";
import Script from "next/script";
import Header from "../components/header";

import { translation } from "../lib/translations";

import { useRouter } from "next/router";
import "rsuite/dist/rsuite.min.css";
import Accordion from "../components/accordion";
import Link from "next/link";
function _(text) {
  const { locale } = useRouter();
  if (translation[locale][text]) {
    return translation[locale][text];
  }
  return text;
}
//Main Function
export default function Home() {
  return (
    <>
      <Head>
        <title>much... | You Professional Business Card</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <Header id="menu" />
      <div id="fullpage">
        <section
          className="section bg-cover overflow-hidden"
          style={{
            backgroundImage:
              "linear-gradient(to right bottom, #006438dd, #006438bb,#006438aa, #FFC609aa, #FFC609dd),url('/images/bgs/home.jpg')",
          }}
        >
          <div className="hero duration-700 container text-center text-white min-h-screen pt-64 md:pt-40 overflow-hidden">
            <div className="w-full md:w-8/12 mx-auto">
              <h1 className="text-3xl md:text-6xl font-bold drop-shadow-md">
                {_("THE NEW ERA OF DIGITAL CARDS")}
              </h1>
              <p className="text-xl text-white justify-center drop-shadow-md">
                {_("much... is a digital card provider allowing you to")}{" "}
                <b>{_("immediately")}</b>{" "}
                {_(
                  "share your desire information, with anyone, wherever and whenever you are in a single touch."
                )}
              </p>
              <div className="mt-6 p-6 ">
                <Link href="/create-your-card/"  target="_blank">
                 <a target="_blank" className="text-xl border-4 hover:no-underline hover:text-emerald-300 hover:bg-white duration-300  p-4 bg-white/80 border-yellow-500 font-bold   text-emerald-300 rounded-2xl">
                  {_("Create Your Card")}
                  </a>
                </Link>
              </div>
            </div>
          </div>
        </section>
        <section className="features section ">
          <h1 className="text-center mt-32 mb-10 drop-shadow-xl text-emerald-300 shadow-yellow-500">
            {_("Features")}
          </h1>
          <div className="container pb-20">
            <div className="flex flex-wrap justify-between text-center">
              <div className="w-full md:w-6/12 p-2">
                <div className="feature  border rounded-xl p-4 h-full shadow-md shadow-yellow-600">
                  <h1 className="text-xl pb-2 border-b-2 uppercase">
                    {_("Shine wherever you go and stay interactive!")}
                  </h1>
                  <img
                    src="/images/features/f1.svg"
                    className="w-60 h-60 mx-auto m-2"
                  ></img>
                  <p className="text-lg py-2">
                    {_(
                      "Be always connected and grow your network wherever & whenever you’re!"
                    )}
                  </p>
                </div>
              </div>
              <div className="w-full md:w-6/12 p-2">
                <div className="feature  border rounded-xl p-4 h-full shadow-md shadow-yellow-600">
                  <h1 className="text-xl pb-2 border-b-2 uppercase">
                    {_("Tag your contact and know when & where you met!")}
                  </h1>
                  <img
                    src="/images/features/f2.svg"
                    className="w-60 h-60 mx-auto m-2"
                  ></img>
                  <p className="text-lg py-2">
                    {_("Tag your contact and know when & where you met!")}
                  </p>
                </div>
              </div>
              <div className="w-full md:w-6/12 p-2">
                <div className="feature border rounded-xl p-4  h-full shadow-md shadow-yellow-600">
                  <h1 className="text-xl pb-2 border-b-2 uppercase">
                    {_("Data Insights & analytics")}
                  </h1>
                  <img
                    src="/images/features/f3.svg"
                    className="w-60 h-60 mx-auto m-2"
                  ></img>
                  <p className="text-lg py-2">
                    {_(
                      "Calculate the actual ROI on your network with the ability to track real-time results from networking efforts to improve your bottom line."
                    )}
                  </p>
                </div>
              </div>
              <div className="w-full md:w-6/12 p-2">
                <div className="feature border rounded-xl p-4 h-full shadow-md shadow-yellow-600">
                  <h1 className="text-xl pb-2 border-b-2 uppercase">
                    {_("Dynamic updates of your contacts")}
                  </h1>
                  <img
                    src="/images/features/f4.svg"
                    className="w-60 h-60 mx-auto m-2"
                  ></img>
                  <p className="text-lg py-2">
                    {_(
                      "keep your contact up to date by receiving automatic notifications once they update their info."
                    )}
                  </p>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section className="section">
          <div className="container">
            <h1 className="text-center mt-32 mb-10 drop-shadow-xl text-emerald-300 shadow-yellow-500">
              {_("Products")}
            </h1>
            <div className="flex flex-wrap pb-16">
              <div className="w-12/12 md:w-6/12 p-4">
                <div className="bg-gray-50 rounded-xl border-2 border-yellow-500 overflow-hidden">
                  <img src="/images/products/p1.jpg" />
                  <h1 className="text-2xl font-bold p-2 text-center border-b-2">
                    {_("NFC")}
                  </h1>
                  <div className="p-2 justify-center text-xl">
                    {_("We Provide NFC Cards for all types of our card")}
                    <ul>
                      <li>{_("Business Card")}</li>
                      <li>{_("Company Profile Card")}</li>
                      <li>{_("Product Card")}</li>
                      <li>{_("Event Card")}</li>
                    </ul>
                  </div>
                </div>
              </div>
              <div className="w-12/12 md:w-6/12 p-4">
                <div className="bg-gray-50 rounded-xl border-2 border-yellow-500 overflow-hidden">
                  <img src="/images/products/p2.jpg" />
                  <h1 className="text-2xl font-bold p-2 text-center border-b-2">
                    {_("QR Code")}
                  </h1>
                  <div className="p-2 justify-center text-xl">
                    {_("We Provide QR Code for all types of our card")}
                    <ul>
                      <li>{_("Business Card")}</li>
                      <li>{_("Company Profile Card")}</li>
                      <li>{_("Product Card")}</li>
                      <li>{_("Event Card")}</li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section className="section">
          <div className="container">
            <h1 className="text-center mt-32 mb-10 drop-shadow-xl text-emerald-300 shadow-yellow-500">
              {_("FAQ")}
            </h1>
            <Accordion
              title={_("What is the benefit of much... digital cards?")}
              content={
                "<ul>" +
                "<li>" +
                _(
                  "The ease of sharing your info: A digital business card is the easiest and fastest approach to share your contact details in a professional way. ‍"
                ) +
                "</li><li>" +
                _(
                  "Stay always connected: you can have your digital card always with you on your smartphone or wherever you go!"
                ) +
                "</li><li>" +
                _(
                  "Always stay up to date: keep your info up to date all the time in case if you change your contact details or updated more info on your Much digital card, those who have your card will receive your updated information on the spot."
                ) +
                "</li></ul>"
              }
            />
            <Accordion
              title={_("Do Much digital cards work in my phone and laptop?")}
              content={_(
                "Of course, if you have a smartphone, either Android or iPhone. You just need to scan the QR code by opening your phone camera."
              )}
            />
            <Accordion
              title={_("Can I have multiple Much digital cards?")}
              content={_(
                "Yes, you can have up to 10 digital cards. Much provide multiple variety of digital card, such as: Business Card, Business Profile, Product Card & Event Card."
              )}
            />
            <Accordion
              title={_("How do Much digital cards work?")}
              content={_(
                "You basically can create your digital card by visiting www.much.sa. After creating your account, you will be able to create your card and design it as you desire! Once you complete your card, you can start sharing it with your potential clients by letting them scan your digital card via the QR Code. Doing so will able them to view your digital card and just hit “save to contact”."
              )}
            />
            <Accordion
              title={_("Can I update my information on my Much digital card?")}
              content={_(
                "Yes, in your account dashboard, you will be able to update/edit your contact information whenever you like. Any changes you make are instantly applied to your card in real-time."
              )}
            />
            <Accordion
              title={_("How do NFC business cards work?")}
              content={_(
                "Much offers NFC or ‘Near Fields Communication’ digital cards. NFC cards have a chip embedded in each card that can be synced with your Much digital card and dashboard. ‍Whenever you want to share your details with someone, simply tap the NFC card on the smartphone which will bring up a link containing your Much digital card. You can purchase NFC cards via our website today!"
              )}
            />
          </div>
        </section>
      </div>
      <Script
        type="text/javascript"
        src="/js/fullpage/fullpage.js"
        onLoad={() => {
          new fullpage("#fullpage", {
            licenseKey: "K384H-V4RG8-IK147-W8J58-WJNDP",
            menu: "#menu",
            anchors: ["home", "features", "products", "faq"],
            autoScrolling: true,
            verticalCentered: true,
            parallax: true,
            loopBottom: true,
            scrollingSpeed: 700,

            scrollOverflowMacStyle: true,
          });
        }}
      ></Script>
    </>
  );
}
